Activate License

POST /activate-license

Activate a license for a product for the currently authenticated user.

Request body✻

Responses

    201Created

A valid license for the product was found and successfully activated.

Content application/json

Documentation

Properties

keystring✻

/[A-Z0-9]{4}-[A-Z0-9]{4}-[A-Z0-9]{4}/i

Documentation

Example
"R4A8-Y6O5-F4E2"

typestring✻

"perpetual""subscription""time-limited"

Documentation

Example
"perpetual"

startDatestring✻

When issuing a license, you can set a start date for it. Adding a start date to a license will not allow license activations until that date. The start date must be today or in the future, and it can not be after the end date.

format: date

Documentation

Example
"2025-01-01"

endDatestring

The date when the license ends. If specified, it must be today or in the future, and it can not be before the start date.

format: date

Documentation

Example
"2025-07-01"

durationstring

How long the license will stay active after activation.

"P1M""P3M""P6M""P12M"

Documentation

Example
"P1M"

isActiveboolean✻

    400Bad Request

Security

Servers

    licensing.hedia.comhttps://licensing.hedia.com/api/v1